<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for XUserGroupRoles StructType
 * @subpackage Structs
 */
class XUserGroupRoles extends AbstractStructBase
{
    /**
     * The roleName
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var XFkType
     */
    public $roleName;
    /**
     * Constructor method for XUserGroupRoles
     * @uses XUserGroupRoles::setRoleName()
     * @param XFkType $roleName
     */
    public function __construct(XFkType $roleName = null)
    {
        $this
            ->setRoleName($roleName);
    }
    /**
     * Get roleName value
     * @return XFkType
     */
    public function getRoleName()
    {
        return $this->roleName;
    }
    /**
     * Set roleName value
     * @param XFkType $roleName
     * @return XUserGroupRoles
     */
    public function setRoleName(XFkType $roleName = null)
    {
        $this->roleName = $roleName;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return XUserGroupRoles
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
